<template>
  <div class="model-warp">
    <div class="model" v-if="value">
      <div class="model-body">
        <img src="@/assets/img/shut down.svg" alt class="close" @click="closeModel()">
        <div class="model-content">
          <slot></slot>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    value: {
      type: Boolean,
      required: true
    }
  },
  model: {
    prop: "value",
    event: "changeValue"
  },
  data() {
    return {};
  },
  methods: {
    closeModel() {
      this.$emit("changeValue", false);
    }
  }
};
</script>
<style lang="scss" scoped>
.model {
  background: rgba(0, 0, 0, 0.5);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 999;
  .close {
    z-index: 999;
    width: 0.32rem;
    height: 0.32rem;
    position: absolute;
    right: 0;
    // top: calc(-0.1rem - 50%);
    transform: translate(50%, -50%);
  }
  .model-body {
    width: 3.35rem;
    height: 3.93rem;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    box-shadow: 0px 3px 6px rgba(73, 91, 126, 1);
    border: 6px solid #c2e4ff;
    border-radius: 0.12rem;
    background-color: #ffffff;
    .model-content {
      height: 100%;
      width: 100%;
      overflow: scroll;
    }
    // overflow: scroll;
  }
}
</style>


